define({
  root: ({
    page1: {
      selectToolHeader: "Choose a method to select records for batch update.",
      selectToolDesc: "The widget supports 3 methods to generate a selected set of records to update. You only can choose one of the methods. If you require more than one of these methods, create a new instance of the widget.",
      selectByShape: "Select by Area",
      shapeTypeSelector: "Click on the tools you wish to allow",
      shapeType: {
        point: "Point",
        line: "Line",
        polyline: "Polyline",
        freehandPolyline: "Freehand Polyline",
        extent: "Extent",
        polygon: "Polygon",
        freehandPolygon: "Freehand Polygon"
      },
      freehandPolygon: "Freehand Polygon",
      selectBySpatQuery: "Select by Feature",
      selectByAttQuery: "Select by Feature & Related Features",
      selectByQuery: "Select by Query",
      toolNotSelected: "Please select a selection method",
      noDrawToolSelected: "Please choose atleast one drawing tool"
    },
    page2: {
      layersToolHeader: "Select the layers to update and the selection tools options, if any.",
      layersToolDesc: "The select method you picked on page one will be used to select and update a set of layers listed below.  If you check more than one layer, only the common editable fields will be available to update.  Depending on your choice of selection tool, additional options will be required.",
      layerTable: {
        colUpdate: "Update",
        colLabel: "Layer",
        colSelectByLayer: "Select By Layer",
        colSelectByField: "Query Field",
        colhighlightSymbol: "Highlight Symbol"
      },
      toggleLayers: "Toggle layers' visibility on open and close",
      noEditableLayers: "No Editable Layers",
      noLayersSelected: "Select one or more layers before proceeding."
    },
    page3: {
      commonFieldsHeader: "Select the fields to batch update.",
      commonFieldsDesc: "Only the common editable fields will be shown below.  Please select the fields you wish to update.  If the same field from different layers has a different domain, only one domain will be shown and used.",
      noCommonFields: "No Common Fields",
      fieldTable: {
        colEdit: "Editable",
        colName: "Name",
        colAlias: "Alias",
        colAction: "Actions"
      }
    },
    tabs: {
      selection: "Define Selection Type",
      layers: "Define Layer(s) to Update",
      fields: "Define Field(s) to Update"
    },
    errorOnOk: "Please fill out all parameters before saving config",
    next: "Next",
    back: "Back",
    save: "Save Symbol",
    cancel: "Cancel",
    ok: "OK",
    symbolPopup: "Symbol Chooser",
    editHeaderText: "Text to display at the top of the widget",
    widgetIntroSelectByArea: "Use one of the tools below to create a selected set of features to update.  If the row is <font class='maxRecordInIntro'>highlighted</font>, the maximum number of records has been exceeded.",
    widgetIntroSelectByFeature: "Use the tool below to select a feature from <font class='layerInIntro'>${0}</font> layer.  This feature will be used select and update all intersecting features.  If the row is <font class='maxRecordInIntro'>highlighted</font>, the maximum number of records has been exceeded.",
    widgetIntroSelectByFeatureQuery: "Use the tool below to select a feature from <font class='layerInIntro'>${0}</font> .  This feature's <font class='layerInIntro'>${1}</font> attribute will be used to query the layers below and update the resulting features.  If the row is <font class='maxRecordInIntro'>highlighted</font>, the maximum number of records has been exceeded.",
    widgetIntroSelectByQuery: "Enter a value to create a selection set.  If the row is <font class='maxRecordInIntro'>highlighted</font>, the maximum number of records has been exceeded.",
  }),
  "ar": 1,
  "bs": 1,
  "ca": 1,
  "cs": 1,
  "da": 1,
  "de": 1,
  "el": 1,
  "es": 1,
  "et": 1,
  "fi": 1,
  "fr": 1,
  "he": 1,
  "hr": 1,
  "hu": 1,
  "it": 1,
  "id": 1,
  "ja": 1,
  "ko": 1,
  "lt": 1,
  "lv": 1,
  "nb": 1,
  "nl": 1,
  "pl": 1,
  "pt-br": 1,
  "pt-pt": 1,
  "ro": 1,
  "ru": 1,
  "sl": 1,
  "sr": 1,
  "sv": 1,
  "th": 1,
  "tr": 1,
  "uk": 1,
  "vi": 1,
  "zh-cn": 1,
  "zh-hk": 1,
  "zh-tw": 1
});
